core.node.subsystems / InMemoryIdentityService

# InMemoryIdentityService

`class InMemoryIdentityService : IdentityService`

Simple identity service which caches parties and provides functionality for efficient lookup.

### Constructors

<init> | `InMemoryIdentityService()` Simple identity service which caches parties and provides functionality for efficient lookup.

### Functions

partyFromKey | `fun partyFromKey(key: PublicKey): Party?`
partyFromName | `fun partyFromName(name: String): Party?`
registerIdentity | `fun registerIdentity(party: Party): Unit`